summaryrefslogtreecommitdiff
path: root/bin/pkgadd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/pkgadd.sh')
-rwxr-xr-xbin/pkgadd.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/bin/pkgadd.sh b/bin/pkgadd.sh
new file mode 100755
index 0000000..a5622a9
--- /dev/null
+++ b/bin/pkgadd.sh
@@ -0,0 +1,39 @@
+#!/usr/bin/env bash
+#
+# Portimg uses Crux port-like system for creating software deployment images.
+# Copyright (C) 2016 Aaron Ball <nullspoon@oper.io>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+set -eu
+
+export BASEDIR="$(cd $(dirname ${0})/../ && pwd)"
+export LIBDIR="${BASEDIR}/lib"
+
+source ${LIBDIR}/log.sh
+source ${LIBDIR}/pkg.sh
+
+export PORTSDIR=${PORTSDIR:-${BASEDIR}/ports}
+
+function main {
+ local _pkg=${1:-}
+ local _dest=${2:-}
+
+ [ -z "${_pkg}" ] && lerror "A port name is required." && return 1
+ [ -z "${_dest}" ] && lerror "An install destination is required." && return 1
+
+ pkgadd "${_pkg}" "${_dest}"
+}
+
+main ${@}

Generated by cgit